DRUO
Get started
Acquirer Transactions

List Transactions

GEThttps://api.druo.com/transactions/list

Retrieve a list of all transactions.

Returns a list of all existing transactions. Requires an Authorization Bearer token to authenticate and access the resource.

Query parameters

pageintegeroptional

The page number to return. Starts at 1.

page_sizeintegeroptional

The number of items per page. Defaults to 1000 when omitted.

Pagination · Filters

Response— Returns a paginated list.

uuidstringoptional

The transaction's unique identifier (UUID).

Example: trx_422f0f81-5001-4cce-a229-242d9ab9960a
codestringoptional

The transaction's reference code.

Example: TXNMW9PCWE
statusstringoptional

The current status of the transaction.

Possible values:CREATEDPENDINGPROCESSINGSUCCESSFULREFUNDEDDISPUTEDFAILEDCANCELEDREVERSED
Example: SUCCESSFUL
remarksstringoptional

Additional remarks or notes about the transaction.

Example: REQUESTED_BY_MERCHANT
typestringoptional

The type of transaction.

Example: PAYMENT
tenantobjectoptional

The tenant that originated the transaction.

Example: {"uuid":"ten_0521aadc-5fbd-4b3c-af0a-a4f4b8d6f20"}
origin_accountobjectoptional

The account used to fund this transaction.

Example: {"uuid":"acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340"}
destination_accountobjectoptional

The account that receives the funds for this transaction.

Example: {"uuid":"acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340"}
creation_sourcestringoptional

The source platform or channel through which the transaction was created.

Example: MERCHANT_PORTAL
descriptionstringoptional

The description of this transaction. Users may see this on receipts or emails sent by DRUO.

Example: Insurance policy renewal - INV12324
statement_descriptorstringoptional

The description reported to financial institutions to appear on customer statements. This request may not be honored by all institutions. It must contain at least one letter and be between 4 and 22 characters.

Example: NOVO BILLING* INV12324
amountintegeroptional

The transaction amount, denominated in the smallest unit of the currency (e.g., cents for USD). For example, $100.00 USD is represented as 10000.

Example: 10000
variable_feeintegeroptional

The variable fee amount applied to this transaction.

Example: 300
fixed_feeintegeroptional

The fixed fee amount applied to this transaction.

Example: 100
total_feeintegeroptional

The total fee amount charged for this transaction.

Example: 400
net_amountintegeroptional

The total net amount (amount minus total_fee) to be paid out for this transaction.

Example: 9600
currencyobjectoptional

The transaction currency represented in ISO 4217 format.

Example: {"code":"USD"}
primary_referencestringoptional

An optional primary identifier you can associate with the transaction for your own database tracking. Maximum 40 characters.

Example: ABC123
secondary_referencestringoptional

An optional secondary identifier you can associate with the transaction. Maximum 40 characters.

Example: bj39fhow39fhqp3f0hfae4344
metadataobjectoptional

A set of key-value pairs that you can attach to the object. You can specify up to 50 keys, with key names up to 40 characters and values up to 500 characters.

Example: {"order_id":"6735"}
auto_send_receiptbooleanoptional

Indicates whether the system should automatically generate a receipt to the preferred delivery method.

Example: false
date_created_gmtstringoptional

The date and time the transaction was created, in GMT.

Example: 2021-11-15T23:23:38
date_updated_gmtstringoptional

The date and time the transaction was last updated, in GMT.

Example: 2021-11-15T23:23:38
NextPUTCancel Transaction